## com.imcode.imcms.util
Class SchemaVersionChecker

    java.lang.Object
      com.imcode.imcms.util.SchemaVersionChecker

    public class SchemaVersionChecker

extends java.lang.Object

Field Summary
`java.lang.String` `SQL_SELECT_SCHEMA_VERSION`

Constructor Summary
`SchemaVersionChecker()`

Method Summary
`void` `checkSchemaVersion(java.lang.String schemaVersionFilePath)` Checks if schema a version stored in a file matches to a schema version stored in a database.
`org.springframework.orm.hibernate3.HibernateTemplate` `getHibernateTemplate()`
`java.lang.String` `getSchemaVersion()`
`void` `setHibernateTemplate(org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_SELECT_SCHEMA_VERSION

    public java.lang.String SQL_SELECT_SCHEMA_VERSION

Constructor Detail

### SchemaVersionChecker

    public SchemaVersionChecker()

Method Detail

### checkSchemaVersion

    public void checkSchemaVersion(java.lang.String schemaVersionFilePath)

  Checks if schema a version stored in a file matches to a schema version stored in a database. Schema version stored in file has the format major.minor where major and minor are digits.

  Parameters:
    `schemaVersionFilePath` - schema version file.
  Throws:
    `SchemaVersionCheckerException` - in case of failure.

### getSchemaVersion

    public java.lang.String getSchemaVersion()

### getHibernateTemplate

    public org.springframework.orm.hibernate3.HibernateTemplate getHibernateTemplate()

### setHibernateTemplate

    public void setHibernateTemplate(org.springframework.orm.hibernate3.HibernateTemplate hibernateTemplate)